Mon::Protocol(3pm)

NAME
Mon::Protocol - Methods for parsing / dumping a protocol block

SYNOPSIS
    use Mon::Protocol;

DESCRIPTION

METHODS

new Creates a new object. A hash can be supplied which sets the default values. An example which contains all of the variables that you can initialize:

        $c = new Mon::Protocol;

dump_data
    Returns the current internal structure as a string dump suitable for passing to "parse_data".

"parse_data"
    Parses a command block (from begin_block to end_block), as generated by dump_data.

"type"(new_type)
    Sets or returns the type of the current command block. See @TYPES for valid type codes.

    In the future, it is possible that this module will perform additional checking based on the type, for now it is left to the application to interpret this.

"get_section_list"
    Returns an array containing all section names within the block.

"get_section"(section_name)
    Returns a hash containing the key/value pairs of the specific section.

"delete_section"(section_name)
    Completely removes the specified section from the block.

"add_to_section"(section_name,$hash_ref)
    Adds the key/value pairs in the hash to the specified section.

            $foo->add_to_section("_hostgroup", { "ns1.baz.com" -> "ok" });

"delete_from_section"(section_name,$key)
    Deletes the key/value pair from the section.

            $foo->delete_from_section("_hostgroup", "ns1.baz.com");

"error"
    Should any of the functions return an error (-1), this function can be used to retrieve a more elaborate error message and to reset the internal error state.